package com.fdkankan.platform.goods.service;

import com.fdkankan.platform.goods.entity.GoodsSku;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.platform.goods.vo.ResponseGoodsSku;
import com.fdkankan.platform.user.request.RequestCamera;

import java.util.List;

/**
 * <p>
 * 商品sku表 服务类
 * </p>
 *
 * @author 
 * @since 2021-12-24
 */
public interface IGoodsSkuService extends IService<GoodsSku> {

    ResponseGoodsSku getVoBySkuSn(String skuSn);
    GoodsSku getBySkuSn(String skuSn);

    List<GoodsSku> getByGoodsId(long goodsId);

    ResponseGoodsSku getIncrementOrDownloadPrice(RequestCamera camera);
}
